<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/main_bg"
    tools:context=".view.activity.HomeActivity">

    <RelativeLayout
        android:id="@+id/rl_menu"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:padding="@dimen/menu_padding"
        android:background="@color/home_menu_bg"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintHorizontal_weight="267"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/rl_page"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/tv_app_title"
            style="@style/CommonTextView"
            android:layout_centerHorizontal="true"
            android:text="@string/app_title"
            android:textSize="@dimen/common_text_size_big"
            android:textStyle="bold" />

        <View
            android:id="@+id/v_divider_title"
            android:layout_width="match_parent"
            android:layout_height="@dimen/divider_line_width"
            android:layout_below="@id/tv_app_title"
            android:layout_marginVertical="@dimen/divider_line_margin"
            android:background="@color/white" />

        <TextClock
            android:id="@+id/tc_time"
            style="@style/CommonTextView"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:format12Hour="yyyy-MM-dd\nhh:mm"
            android:format24Hour="yyyy-MM-dd\nhh:mm" />

        <View
            android:id="@+id/v_divider_time"
            android:layout_width="match_parent"
            android:layout_height="@dimen/divider_line_width"
            android:layout_above="@id/tc_time"
            android:layout_marginVertical="@dimen/divider_line_margin"
            android:background="@color/white" />

        <include
            android:id="@+id/item_setting"
            layout="@layout/item_rv_menu"
            android:layout_width="@dimen/item_rv_menu_size"
            android:layout_height="@dimen/item_rv_menu_size"
            android:layout_above="@id/v_divider_time" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_menu"
            style="@style/CommonRecyclerView"
            android:layout_above="@id/item_setting"
            android:layout_below="@id/v_divider_title"
            tools:listitem="@layout/item_rv_menu" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/rl_page"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintHorizontal_weight="1653"
        app:layout_constraintLeft_toRightOf="@id/rl_menu"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:padding="@dimen/common_spacing">

        <androidx.viewpager2.widget.ViewPager2
            android:id="@+id/vp"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
    </RelativeLayout>
</androidx.constraintlayout.widget.ConstraintLayout>